
/** @file spi.h
 * @brief SPI-Library
 * @author Clemens Helfmeier
 * @date 25.06.2006
 *
 * This is the include file for the SPI library. The Code for the correct
 * controller is placed in spi_$(ARCH).c.
 * 
 */


#ifndef _SPI_H_
#define _SPI_H_


#ifdef __cplusplus
extern "C" {
#endif


void spi_init( void );

void spi_start( void* dev );
void spi_end( void );

unsigned short spi_xmit( unsigned short send );
void spi_tmit( unsigned short send );
unsigned short spi_rmit( void );

void spi_bxmit( void *data, unsigned short len );
void spi_btmit( void *data, unsigned short len );

void spi_wait( void );


#ifdef __cplusplus
}
#endif

#endif
